Index: webapp/cms/plugins/syndication/pages/feed2xhtml.xsl
===================================================================
--- webapp/cms/plugins/syndication/pages/feed2xhtml.xsl	(revision 9137)
+++ webapp/cms/plugins/syndication/pages/feed2xhtml.xsl	(working copy)
@@ -14,140 +14,215 @@
    See the License for the specific language governing permissions and
    limitations under the License.
    -->
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
+<xsl:stylesheet version="1.0" 
+                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+                xmlns:i18n="http://apache.org/cocoon/i18n/2.1">
 
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+    
+    <!-- TODO -->
 	<xsl:param name="contextPath"/>
+    <!-- TODO -->
     <xsl:param name="skin"/>
+    <!-- TODO -->
 	<xsl:param name="header"/>
+    <!-- TODO -->
 	<xsl:param name="display-image"/>
 
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">syndication</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/feed)"/>
+
+
+    <!-- +
+         | ROOT TEMPLATE
+         + --> 
 	<xsl:template match="/feed">
-		<html>
-			<head>
-				<!-- CSS -->
-				<link href="{$contextPath}/plugins/syndication/resources/css/service-feed.css" rel="stylesheet" type="text/css" />
-			</head>
-			
-			<body>
-				<xsl:if test="$header != ''"><h3><xsl:value-of select="$header"/></h3></xsl:if>
-			
-				<div class="feed-wrapper">
-					
-					<xsl:apply-templates select="image"/>
-					
-					<h1><xsl:value-of select="@title"/></h1>
-					<h2><xsl:value-of select="@description"/></h2>
-					
-					<!-- 
-					<xsl:if test="link">
-						<a class="rss-link" href="{link}" title="{title}"><xsl:value-of select="link"></xsl:value-of></a>
-					</xsl:if>
-					 -->
-					 
-					 <!-- 
-					<xsl:if test="lastBuildDate">
-						<div class="rss-date"><xsl:value-of select="lastBuildDate"/></div>
-					</xsl:if>
-					-->
-					 
-					<div class="feed-entry-list">
-						<xsl:apply-templates select="entry"/>
-					</div>
-					
-				</div>
-			</body>
-			
-		</html>
-	</xsl:template>
-	
-	<xsl:template match="image"> 
-		<div class="feed-image">
-			<a href="{@link}" title="{@title}">
-				<img src="{@url}" alt="{@title}">
-					<xsl:if test="heigth"><xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute></xsl:if>
-					<xsl:if test="width"><xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute></xsl:if>
-				</img>
-			</a>
-		</div>
-	</xsl:template>
-	
+        <xsl:call-template name="common-service"/>
+    </xsl:template>
+    
+    <!-- +
+         | HEAD
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-css">
+        <link href="{$contextPath}/plugins/syndication/resources/css/service-feed.css" rel="stylesheet" type="text/css" />    
+    </xsl:template>     
+    
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="$header"/>
+        </xsl:call-template>
+
+		<xsl:apply-templates select="image"/>
+		
+        <xsl:call-template name="syndication-title"/>
+        
+        <xsl:call-template name="syndication-description"/>
+        
+        <xsl:call-template name="syndication-list"/>
+        
+        <!-- Comments in the old XSL -->
+		<!-- 
+		<xsl:if test="link">
+			<a class="rss-link" href="{link}" title="{title}"><xsl:value-of select="link"></xsl:value-of></a>
+		</xsl:if>
+		 -->
+		 
+		 <!-- 
+		<xsl:if test="lastBuildDate">
+			<div class="rss-date"><xsl:value-of select="lastBuildDate"/></div>
+		</xsl:if>
+		-->
+    </xsl:template>
+    
+    <!-- TODO -->    
+    <xsl:template name="syndication-title">
+        <h2><xsl:value-of select="@title"/></h2>    
+    </xsl:template>        
+
+    <!-- TODO -->
+    <xsl:template name="syndication-description">
+        <h3><xsl:value-of select="@description"/></h3>    
+    </xsl:template>
+    
+    <!-- TODO -->
+    <xsl:template name="syndication-list">
+        <div class="feed-entry-list">
+            <xsl:apply-templates select="entry"/>
+        </div>    
+    </xsl:template>    
+            
+    <!-- TODO -->    
 	<xsl:template match="entry"> 
-		<div class="feed-entry">
-			
-			<!-- Item title -->
-			<div class="feed-entry-title">
-				<xsl:choose>
-					<xsl:when test="@link">
-						<a href="{@link}" title="{@title}"><xsl:value-of select="@title"/></a>
-					</xsl:when>
-					<xsl:otherwise><xsl:value-of select="@title"/></xsl:otherwise>
-				</xsl:choose>
-			</div>
-			
-			<!-- Item publication date -->
-			<xsl:if test="@date">
-				<div class="feed-entry-date"><i18n:date src-pattern="yyyy-MM-dd'T'HH:mm" pattern="medium"><xsl:value-of select="@date"/></i18n:date><xsl:text> </xsl:text><i18n:time src-pattern="yyyy-MM-dd'T'HH:mm" pattern="short"><xsl:value-of select="@date"/></i18n:time></div>
-			</xsl:if>
-			
+		<div>
+             <xsl:attribute name="class">feed-entry
+                <xsl:if test="position() mod 2 = 0"><xsl:text> even</xsl:text></xsl:if>                                
+                <xsl:if test="position() = 1"><xsl:text> first</xsl:text></xsl:if>
+                <xsl:if test="position() = last()"><xsl:text> last</xsl:text></xsl:if>
+            </xsl:attribute>
+            
+            <xsl:call-template name="item-title"/>
+            
+            <xsl:call-template name="item-date"/>
+            
             <xsl:apply-templates select="image"/>
 			
-			<!-- Item description -->
-			<xsl:if test="description">
-				<div class="feed-entry-description">
+            <xsl:call-template name="item-description"/>
+            
+            <xsl:call-template name="item-attachments"/>
+            
+            <xsl:call-template name="item-author"/>
+
+		</div>
+	</xsl:template>
+
+    <!-- TODO -->
+    <xsl:template name="item-title">
+        <div class="feed-entry-title">
+            <xsl:choose>
+                <xsl:when test="@link">
+                    <a href="{@link}" title="{@title}"><xsl:value-of select="@title"/></a>
+                </xsl:when>
+                <xsl:otherwise><xsl:value-of select="@title"/></xsl:otherwise>
+            </xsl:choose>
+        </div>    
+    </xsl:template>
+    
+    <!-- TODO -->
+    <xsl:template name="item-date">    
+        <xsl:if test="@date">
+            <div class="feed-entry-date">
+                <i18n:date src-pattern="yyyy-MM-dd'T'HH:mm" pattern="medium"><xsl:value-of select="@date"/></i18n:date>
+                <xsl:text> </xsl:text>
+                <i18n:time src-pattern="yyyy-MM-dd'T'HH:mm" pattern="short"><xsl:value-of select="@date"/></i18n:time>
+            </div>
+        </xsl:if>
+    </xsl:template>
+
+    <!-- TODO -->
+    <xsl:template match="image"> 
+        <div class="feed-image">
+            <a href="{@link}" title="{@title}">
+                <img src="{@url}" alt="{@title}">
+                    <xsl:if test="heigth"><xsl:attribute name="height"><xsl:value-of select="height"/></xsl:attribute></xsl:if>
+                    <xsl:if test="width"><xsl:attribute name="width"><xsl:value-of select="width"/></xsl:attribute></xsl:if>
+                </img>
+            </a>
+        </div>
+    </xsl:template>
+
+
+    <!-- TODO -->
+    <xsl:template name="item-description">  
+        <xsl:if test="description">
+            <div class="feed-entry-description">
+                <xsl:choose>
+                    <xsl:when test="'text/html'">
+                        <xsl:value-of select="description" disable-output-escaping="yes"/>
+                    </xsl:when>
+                    <xsl:otherwise>
+                        <xsl:value-of select="description"/>
+                    </xsl:otherwise>
+                </xsl:choose>
+            </div>
+        </xsl:if>    
+    </xsl:template>    
+    
+    <!-- TODO -->    
+    <xsl:template name="item-attachments">
+        <xsl:if test="enclosure">
+            <div class="feed-entry-enclosures">
+                <xsl:for-each select="enclosure[@url]">
+                    <xsl:if test="@url">
+                        <div class="enclosure">
+                            <xsl:choose>
+                                <xsl:when test="starts-with(@type, 'video')"><xsl:attribute name="class">enclosure video</xsl:attribute></xsl:when>
+                                <xsl:when test="starts-with(@type, 'audio')"><xsl:attribute name="class">enclosure audio</xsl:attribute></xsl:when>
+                                <xsl:when test="starts-with(@type, 'image')"><xsl:attribute name="class">enclosure image</xsl:attribute></xsl:when>
+                            </xsl:choose>
+                            <a href="{@url}">
+                                <xsl:choose>
+                                    <xsl:when test="@name"><xsl:value-of select="@name"/></xsl:when>
+                                    <xsl:otherwise><xsl:value-of select="@url"/></xsl:otherwise>
+                                </xsl:choose>
+                            </a>
+                            <xsl:if test="length">
+                                <span class="length"> (<xsl:value-of select="length"/>)</span>
+                            </xsl:if>
+                        </div>
+                    </xsl:if>
+                </xsl:for-each>
+            </div>
+        </xsl:if>    
+    </xsl:template>    
+    
+    <!-- TODO -->    
+    <xsl:template name="item-author">
+        <!-- Item author(s) -->
+        <xsl:if test="author">
+            <div class="feed-entry-author">
+                <i18n:text i18n:key="FEED_ENTRY_AUTHOR"/>
+                <xsl:for-each select="author">
                     <xsl:choose>
-                        <xsl:when test="'text/html'">
-                            <xsl:value-of select="description" disable-output-escaping="yes"/>
+                        <xsl:when test="@email">
+                            <a href="mailto:{@email}"><xsl:value-of select="."/></a>
                         </xsl:when>
                         <xsl:otherwise>
-                            <xsl:value-of select="description"/>
+                            <xsl:value-of select="."/>
                         </xsl:otherwise>
                     </xsl:choose>
-				</div>
-			</xsl:if>
-            
-            <!-- Item attachments -->
-            <xsl:if test="enclosure">
-            	<div class="feed-entry-enclosures">
-            		<xsl:for-each select="enclosure[@url]">
-	                    <xsl:if test="@url">
-	                    	<div class="enclosure">
-	                    		<xsl:choose>
-	                    			<xsl:when test="starts-with(@type, 'video')"><xsl:attribute name="class">enclosure video</xsl:attribute></xsl:when>
-	                    			<xsl:when test="starts-with(@type, 'audio')"><xsl:attribute name="class">enclosure audio</xsl:attribute></xsl:when>
-	                    			<xsl:when test="starts-with(@type, 'image')"><xsl:attribute name="class">enclosure image</xsl:attribute></xsl:when>
-	                    		</xsl:choose>
-	                        	<a href="{@url}">
-	                        		<xsl:choose>
-	                        			<xsl:when test="@name"><xsl:value-of select="@name"/></xsl:when>
-	                        			<xsl:otherwise><xsl:value-of select="@url"/></xsl:otherwise>
-	                        		</xsl:choose>
-	                        	</a>
-	                        	<xsl:if test="length">
-	                        		<span class="length"> (<xsl:value-of select="length"/>)</span>
-	                        	</xsl:if>
-	                        </div>
-	                    </xsl:if>
-                    </xsl:for-each>
-                </div>
-            </xsl:if>
-            
-            <!-- Item author(s) -->
-			<xsl:if test="author">
-				<div class="feed-entry-author">
-					<i18n:text i18n:key="FEED_ENTRY_AUTHOR"/>
-					<xsl:for-each select="author">
-						<xsl:choose>
-							<xsl:when test="@email">
-								<a href="mailto:{@email}"><xsl:value-of select="."/></a>
-							</xsl:when>
-							<xsl:otherwise>
-								<xsl:value-of select="."/>
-							</xsl:otherwise>
-						</xsl:choose>
-						<xsl:if test="position () != last()">, </xsl:if>
-					</xsl:for-each>
-				</div>
-			</xsl:if>
-		</div>
-	</xsl:template>
+                    <xsl:if test="position () != last()">, </xsl:if>
+                </xsl:for-each>
+            </div>
+        </xsl:if>    
+    </xsl:template>    
+    
+    
 </xsl:stylesheet>
Index: webapp/cms/plugins/web/sitemap.xmap
===================================================================
--- webapp/cms/plugins/web/sitemap.xmap	(revision 9137)
+++ webapp/cms/plugins/web/sitemap.xmap	(working copy)
@@ -794,6 +794,7 @@
 					<map:parameter name="all" value="{parent-context-attr:all}"/>
 				</map:generate>
 				<map:transform type="xslt" src="service://@xslt">
+                    <map:parameter name="contextPath" value="{cmscontext:contextPath}"/>
 					<map:parameter name="cms-context" value="{cmscontext:contextWorkspacePath:{request-attr:site}}"/>
                     <map:parameter name="raw-context" value="{cmscontext:contextWorkspacePath}"/>
 					<map:parameter name="lang" value="{request-attr:sitemapLanguage}"/>
Index: webapp/cms/plugins/web/pages/services/common.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/common.xsl	(revision 0)
+++ webapp/cms/plugins/web/pages/services/common.xsl	(revision 0)
@@ -0,0 +1,163 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+   Copyright 2010 Anyware Services
+
+   Licensed under the Apache License, Version 2.0 (the "License");
+   you may not use this file except in compliance with the License.
+   You may obtain a copy of the License at
+
+       http://www.apache.org/licenses/LICENSE-2.0
+
+   Unless required by applicable law or agreed to in writing, software
+   distributed under the License is distributed on an "AS IS" BASIS,
+   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+   See the License for the specific language governing permissions and
+   limitations under the License.
+   -->
+<xsl:stylesheet version="1.0"
+    xmlns:xalan="http://xml.apache.org/xalan" 
+    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
+    xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
+    exclude-result-prefixes="xalan">
+    
+    <!-- The CSS classname that will be set on the surrounding DIV element -->
+    <xsl:variable name="common-service-css-class-name" />
+    <!-- The idname that will be set on the surrounding DIV element -->
+    <xsl:variable name="common-service-id-name" />
+    
+    <!-- Is the service's data empty ? -->    
+    <xsl:variable name="is-empty" />    
+    
+
+    <!-- +
+         | STRUCTURE
+         + -->
+
+    <!-- The common template to call to build your service structure -->   
+    <xsl:template name="common-service">
+        <html>
+            <head>
+                <xsl:call-template name="common-service-head"/>
+            </head>
+            <body> 
+                <xsl:call-template name="common-service-body"/>
+            </body>
+        </html>   
+   </xsl:template>
+
+    <!-- +
+         | HEAD
+         + -->
+   
+   <!-- The template called in the HEAD tag. -->
+   <xsl:template name="common-service-head">
+        <xsl:call-template name="common-service-head-other"/>
+        <xsl:call-template name="common-service-head-css"/>
+        <xsl:call-template name="common-service-head-js"/>
+   </xsl:template>
+   
+   <!-- Override this template to add stuff in the head (but JS or CSS) -->
+   <xsl:template name="common-service-head-other"/>
+   <!-- Override this template to add CSS in the head -->
+   <xsl:template name="common-service-head-css"/>
+   <!-- Override this template to add JS in the head -->
+   <xsl:template name="common-service-head-js"/>   
+   
+   <!-- +
+        | BODY
+        + -->
+   
+   <!-- The template called in the BODY tag -->
+   <xsl:template name="common-service-body">
+        <xsl:choose>
+            <xsl:when test="$is-empty">
+                <xsl:call-template name="common-service-body-empty"/>
+            </xsl:when>
+            <xsl:otherwise>
+                <xsl:call-template name="common-service-body-nonempty"/>
+            </xsl:otherwise>
+        </xsl:choose>
+   </xsl:template>
+
+   <!-- Override this template to set the appearance when the service is empty -->
+   <xsl:template name="common-service-body-empty"/>
+
+    <!-- The service HTML structure when there is something in the service -->
+    <xsl:template name="common-service-body-nonempty">
+        <div class="ametys-cms-service {$common-service-css-class-name} wrapper">
+            <xsl:if test="$common-service-id-name != ''">
+                <xsl:attribute name="id"><xsl:value-of select="$common-service-id-name"/></xsl:attribute>
+            </xsl:if>
+            <xsl:call-template name="common-service-body-nonempty-content"/>
+        </div>
+    </xsl:template>
+   
+    <!-- Override this template to set the appearance when the service has content -->
+    <xsl:template name="common-service-body-nonempty-content"/>
+   
+   <!-- +
+        | BODY ELEMENTS
+        + -->
+
+   <!-- Template used by services for title rendering -->
+   <xsl:template name="common-service-body-nonempty-content-title">
+       <!-- The title to use -->
+        <xsl:param name="title"/>
+       <!-- The default title to use if title is empty (can also be empty) -->
+        <xsl:param name="default-title"/>
+   
+        <xsl:choose>
+            <xsl:when test="$title != ''">
+               <xsl:call-template name="common-service-body-nonempty-content-title-content">
+                    <xsl:with-param name="title" select="$title"/>
+                </xsl:call-template>
+            </xsl:when>
+            <xsl:when test="$default-title != ''">
+<!--               <xsl:call-template name="common-service-body-nonempty-content-title-content">-->
+<!--                        <xsl:with-param name="title">-->                    
+                    <h1>
+                        <i18n:text>
+                            <xsl:attribute name="i18n:catalogue"><xsl:value-of select="substring-before($default-title,':')" /></xsl:attribute>
+                            <xsl:attribute name="i18n:key"><xsl:value-of select="substring-after($default-title,':')" /></xsl:attribute>                    
+                        </i18n:text>         
+                    </h1>
+<!--                        </xsl:with-param>-->                    
+<!--                </xsl:call-template>-->
+            </xsl:when>
+            <xsl:otherwise>
+               <xsl:call-template name="common-service-body-nonempty-content-title-nocontent"/>
+            </xsl:otherwise>
+        </xsl:choose>
+   </xsl:template>
+   
+   <!-- Override this template to change main service title rendering -->
+   <xsl:template name="common-service-body-nonempty-content-title-content">
+        <xsl:param name="title"/>
+   
+        <h1><xsl:value-of select="$title"/></h1>
+   </xsl:template>
+
+   <!-- Override this template to change behavior when a service has no title -->
+   <xsl:template name="common-service-body-nonempty-content-title-nocontent"/>
+   
+   <!-- Template used by submit button -->
+   <xsl:template name="common-service-body-input-submit">
+        <xsl:param name="value"/>
+        
+        <div class="button">
+            <input type="submit" class="submit">
+                <xsl:attribute name="i18n:attr">value</xsl:attribute>
+                <xsl:attribute name="value"><xsl:value-of select="$value" /></xsl:attribute>
+            </input>
+	   </div>              
+   </xsl:template>
+   
+   <!-- Template used by back button -->
+   <xsl:template name="common-service-body-back-button">
+        <xsl:param name="value"/>
+        <xsl:param name="url"/>
+        
+    </xsl:template>      
+   
+   
+</xsl:stylesheet>
\ No newline at end of file
Index: webapp/cms/plugins/web/pages/services/search-criteria/search-criteria.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/search-criteria/search-criteria.xsl	(revision 9137)
+++ webapp/cms/plugins/web/pages/services/search-criteria/search-criteria.xsl	(working copy)
@@ -45,7 +45,7 @@
 		
 			<body id="default">
 				
-				<div id="service-search-wrapper">
+				<div class="service service-search service-search-default">
 					
 					<xsl:choose>
 						<xsl:when test="$header != ''"><h1><xsl:value-of select="$header"/></h1></xsl:when>
@@ -81,11 +81,10 @@
 			<!-- Textfield -->
 			<div class="field">
 				<div class="label"><label for="search-input-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_KEYWORDS"/></label></div>
-				<div>
-					<input id="search-input-{$uniqueId}" type="text" name="textfield" value="{/search/form/values/textfield}"/>
-					<br/>
+				<div class="input">
+					<input id="search-input-{$uniqueId}" type="text" name="textfield" value="{/search/form/values/textfield}" class="text"/>
 					<xsl:if test="/search/illegal-textfield">
-						<span class="error"><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FRONT_SEARCH_INVALID_TEXTFIELD"/></span>
+						<p class="error"><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FRONT_SEARCH_INVALID_TEXTFIELD"/></p>
 					</xsl:if>
 				</div>
 			</div>
@@ -94,8 +93,8 @@
 			<xsl:if test="/search/form/fields/all-words">
 				<div class="field">
 					<div class="label"><label for="search-all-words-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_ALL_WORDS"/></label></div>
-					<div>
-						<input id="search-all-words-{$uniqueId}" type="text" name="all-words" value="{/search/form/values/all-words}"/>
+					<div class="input">
+						<input id="search-all-words-{$uniqueId}" type="text" name="all-words" value="{/search/form/values/all-words}" class="text"/>
 					</div>
 				</div>
 			</xsl:if>
@@ -103,8 +102,8 @@
 			<xsl:if test="/search/form/fields/exact-wording">
 				<div class="field">
 					<div class="label"><label for="search-exact-wording-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_EXACT_PHRASE"/></label></div>
-					<div>
-						<input id="search-exact-wording-{$uniqueId}" type="text" name="exact-wording" value="{/search/form/values/exact-wording}"/>
+					<div class="input">
+						<input id="search-exact-wording-{$uniqueId}" type="text" name="exact-wording" value="{/search/form/values/exact-wording}" class="text"/>
 					</div>
 				</div>
 			</xsl:if>
@@ -112,8 +111,8 @@
 			<xsl:if test="/search/form/fields/no-words">
 				<div class="field">
 					<div class="label"><label for="search-no-words-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_ANY_WORDS"/></label></div>
-					<div>
-						<input id="search-no-words-{$uniqueId}" type="text" name="no-words" value="{/search/form/values/no-words}"/>
+					<div class="input">
+						<input id="search-no-words-{$uniqueId}" type="text" name="no-words" value="{/search/form/values/no-words}" class="text"/>
 					</div>
 				</div>
 			</xsl:if>
@@ -122,7 +121,7 @@
 				<xsl:when test="count(/search/form/fields/pages/page) &gt; 1">
 					<div class="field">
 						<div class="label"><label for="page-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_PAGES"/></label></div>
-						<div>
+						<div class="input">
 							<select name="pages" id="page-input">
 								<option>
 									<xsl:attribute name="value">
@@ -140,57 +139,53 @@
 									</option>
 								</xsl:for-each>
 							</select>
-							<br/>
 						</div>
 					</div>
 				</xsl:when>
 				<xsl:when test="count(/search/form/fields/pages/page) = 1">
-					<div><input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/></div>
+					<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
 				</xsl:when>
 			</xsl:choose>
 			
 			<xsl:choose>
-					<xsl:when test="/search/form/fields/content-types-choice = 'list' and count(/search/form/fields/content-types/type) &gt; 1">
-						<div class="field">
-						<div class="label"><label for="ctype-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE"/></label></div>
-						<div>
-							<select name="content-types" id="ctype-input">
-								<option>
-									<xsl:attribute name="value">
-										<xsl:for-each select="/search/form/fields/content-types/type"><xsl:value-of select="@id"/><xsl:if test="position() != last()">,</xsl:if></xsl:for-each>
-									</xsl:attribute>
-									<i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE_ALL_OPTION"/>
-								</option>
-								<xsl:for-each select="/search/form/fields/content-types/type">
-									<xsl:variable name="id" select="@id"/>
-									<option value="{$id}">
-										<xsl:if test="/search/form/values/content-type[$id = .]">
-											<xsl:attribute name="selected">selected</xsl:attribute>
-										</xsl:if>
-										<xsl:copy-of select="."/>
-									</option>
-								</xsl:for-each>
-							</select>
-							<br/>
-						</div>
-					</div>
-					</xsl:when>
-					<xsl:when test="count(/search/form/fields/content-types/type) = 1">
-						<div><input type="hidden" name="content-types" value="{/search/form/fields/content-types/type/@id}"/></div>
-					</xsl:when>
-					<xsl:when test="/search/form/fields/content-types-choice = 'none' or /search/form/fields/content-types-choice = 'filter'">
-						<div>
-							<xsl:for-each select="/search/form/fields/content-types/type">
-								<input type="hidden" name="content-types" value="{@id}"/>
-							</xsl:for-each>
-						</div>
-					</xsl:when>
+				<xsl:when test="/search/form/fields/content-types-choice = 'list' and count(/search/form/fields/content-types/type) &gt; 1">
+					<div class="field">
+					   <div class="label"><label for="ctype-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE"/></label></div>
+    					<div class="input">
+    						<select name="content-types" id="ctype-input">
+    							<option>
+    								<xsl:attribute name="value">
+    									<xsl:for-each select="/search/form/fields/content-types/type"><xsl:value-of select="@id"/><xsl:if test="position() != last()">,</xsl:if></xsl:for-each>
+    								</xsl:attribute>
+    								<i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE_ALL_OPTION"/>
+    							</option>
+    							<xsl:for-each select="/search/form/fields/content-types/type">
+    								<xsl:variable name="id" select="@id"/>
+    								<option value="{$id}">
+    									<xsl:if test="/search/form/values/content-type[$id = .]">
+    										<xsl:attribute name="selected">selected</xsl:attribute>
+    									</xsl:if>
+    									<xsl:copy-of select="."/>
+    								</option>
+    							</xsl:for-each>
+    						</select>
+    					</div>
+				</div>
+				</xsl:when>
+				<xsl:when test="count(/search/form/fields/content-types/type) = 1">
+					<input type="hidden" name="content-types" value="{/search/form/fields/content-types/type/@id}"/>
+				</xsl:when>
+				<xsl:when test="/search/form/fields/content-types-choice = 'none' or /search/form/fields/content-types-choice = 'filter'">
+					<xsl:for-each select="/search/form/fields/content-types/type">
+						<input type="hidden" name="content-types" value="{@id}"/>
+					</xsl:for-each>
+				</xsl:when>
 			</xsl:choose>
 			
 			<xsl:for-each select="/search/form/fields/tags/category">
 				<div class="field">
 					<div class="label"><label for="tag-input-{position()}"><xsl:value-of select="title"/></label></div>
-					<div>
+					<div class="input">
 						<select name="tags-{position()}" id="tag-input-{position()}">
 							<option>
 								<xsl:attribute name="value">
@@ -208,12 +203,11 @@
 								</option>
 							</xsl:for-each>
 						</select>
-						<br/>
 					</div>
 				</div>
 			</xsl:for-each>
 			<xsl:if test="/search/form/fields/tags/category">
-				<div><input type="hidden" name="tags-size" value="{count(/search/form/fields/tags/category)}"/></div>
+				<input type="hidden" name="tags-size" value="{count(/search/form/fields/tags/category)}"/>
 			</xsl:if>
 			
 			<xsl:if test="/search/form/fields/multisite"> 
@@ -221,7 +215,7 @@
 			
 				<div class="field">
 					<div class="label"><label for="sites-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_MULTISITE_CHOICE"/></label></div>
-					<div>
+					<div class="input">
 						<xsl:variable name="select-size">
 							<xsl:choose>
 								<xsl:when test="count(/search/form/fields/sites/site) &gt; 5">5</xsl:when>
